# Generated by Django 2.2.7 on 2020-01-14 12:18

from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone


class Migration(migrations.Migration):

    dependencies = [
        ('main', '0045_carousel_is_international'),
    ]

    operations = [
        migrations.AddField(
            model_name='sitefeature',
            name='backoffice',
            field=models.BooleanField(default=False, help_text='shows on backoffice page', verbose_name='backoffice'),
        ),
        migrations.AlterField(
            model_name='sitefeature',
            name='main',
            field=models.BooleanField(default=False, help_text='shows on main page', verbose_name='Main'),
        ),
        migrations.AlterField(
            model_name='sitefeature',
            name='nested',
            field=models.ManyToManyField(to='main.SiteFeature', blank=True),
        ),
        migrations.CreateModel(
            name='NavigationBarPermission',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(default=django.utils.timezone.now, editable=False, verbose_name='Date created')),
                ('modified', models.DateTimeField(auto_now=True, verbose_name='Date updated')),
                ('permission_mode', models.PositiveSmallIntegerField(choices=[(0, 'read'), (1, 'write')], default=0, help_text='READ - allows only retrieve data,WRITE - allows to perform any operations over the object', verbose_name='permission mode')),
                ('section', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='main.SiteFeature', verbose_name='section')),
            ],
            options={
                'verbose_name': 'Navigation bar item permission',
                'verbose_name_plural': 'Navigation bar item permissions',
            },
        ),
    ]
